为什么可视化的界面模块全部丢失???

新手专区
标签: #<Tag:0x00007fb12517b460>

(189) #1

这种情况不时出现,包括点“编写策略”时,九宫格转半天出不来,然后找个文章点“克隆策略”就好了;这次不行,直接就是全部不见了,只留下错误的运行信息提示

克隆策略
In [ ]:
 
In [31]:
m17.data.read().tail(10)
Out[31]:
date instrument
1243 2019-11-12 159915.ZOF
1244 2019-11-12 510300.HOF
1245 2019-11-12 510050.HOF
1246 2019-11-12 510500.HOF
1247 2019-11-13 159949.ZOF
1248 2019-11-13 159905.ZOF
1249 2019-11-13 159915.ZOF
1250 2019-11-13 510050.HOF
1251 2019-11-13 510300.HOF
1252 2019-11-13 510500.HOF

    {"Description":"实验创建于2019/11/14","Summary":"","Graph":{"EdgesInternal":[],"ModuleNodes":[],"SerializedClientData":"<?xml version='1.0' encoding='utf-16'?><DataV1 xmlns:xsd='http://www.w3.org/2001/XMLSchema' xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance'><Meta /><NodePositions></NodePositions><NodeGroups /></DataV1>"},"IsDraft":true,"ParentExperimentId":null,"WebService":{"IsWebServiceExperiment":false,"Inputs":[],"Outputs":[],"Parameters":[{"Name":"交易日期","Value":"","ParameterDefinition":{"Name":"交易日期","FriendlyName":"交易日期","DefaultValue":"","ParameterType":"String","HasDefaultValue":true,"IsOptional":true,"ParameterRules":[],"HasRules":false,"MarkupType":0,"CredentialDescriptor":null}}],"WebServiceGroupId":null,"SerializedClientData":"<?xml version='1.0' encoding='utf-16'?><DataV1 xmlns:xsd='http://www.w3.org/2001/XMLSchema' xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance'><Meta /><NodePositions></NodePositions><NodeGroups /></DataV1>"},"DisableNodesUpdate":false,"Category":"user","Tags":[],"IsPartialRun":false}
    In [35]:
    # 本代码由可视化策略环境自动生成 2019年11月14日 01:06
    # 本代码单元只能在可视化模式下编辑。您也可以拷贝代码,粘贴到新建的代码单元或者策略,然后修改。
    
    列: ['date', 'instrument']
    /data: 1253
    

    数据过滤(filter)使用错误,你可以:

    1.一键查看文档

    2.一键搜索答案

    Traceback (most recent call last):
      File "common/dataframe.py", line 67, in bigshared.common.dataframe.evalex
      File "impl/expression.py", line 346, in bigexpr.impl.expression.evaluate
      File "impl/expression.py", line 142, in bigexpr.impl.expression.__evaluate_ast
      File "impl/expression.py", line 157, in bigexpr.impl.expression.__evaluate_ast
    AttributeError: 'Attribute' object has no attribute 'id'
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/scope.py", line 181, in resolve
        return self.resolvers[key]
      File "/usr/local/python3/lib/python3.5/collections/__init__.py", line 881, in __getitem__
        return self.__missing__(key)            # support subclasses that define __missing__
      File "/usr/local/python3/lib/python3.5/collections/__init__.py", line 873, in __missing__
        raise KeyError(key)
    KeyError: 'data'
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/scope.py", line 192, in resolve
        return self.temps[key]
    KeyError: 'data'
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "module2/modules/filter/v3/__init__.py", line 48, in biglearning.module2.modules.filter.v3.__init__.BigQuantModule.run
      File "common/dataframe.py", line 69, in bigshared.common.dataframe.evalex
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/frame.py", line 2366, in eval
        return _eval(expr, inplace=inplace, **kwargs)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/eval.py", line 290, in eval
        truediv=truediv)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 732, in __init__
        self.terms = self.parse()
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 749, in parse
        return self._visitor.visit(self.expr)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 314, in visit
        return visitor(node, **kwargs)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 320, in visit_Module
        return self.visit(expr, **kwargs)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 314, in visit
        return visitor(node, **kwargs)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 323, in visit_Expr
        return self.visit(node.value, **kwargs)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 314, in visit
        return visitor(node, **kwargs)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 649, in visit_Compare
        return self.visit(binop)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 314, in visit
        return visitor(node, **kwargs)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 418, in visit_BinOp
        op, op_class, left, right = self._maybe_transform_eq_ne(node)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 357, in _maybe_transform_eq_ne
        right = self.visit(node.right, side='right')
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 314, in visit
        return visitor(node, **kwargs)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 540, in visit_Call_35
        res = self.visit_Attribute(node.func)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 522, in visit_Attribute
        resolved = self.visit(value).value
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 314, in visit
        return visitor(node, **kwargs)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 522, in visit_Attribute
        resolved = self.visit(value).value
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 314, in visit
        return visitor(node, **kwargs)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 432, in visit_Name
        return self.term_type(node.id, self.env, **kwargs)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/ops.py", line 58, in __init__
        self._value = self._resolve_name()
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/ops.py", line 75, in _resolve_name
        res = self.env.resolve(self.local_name, is_local=self.is_local)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/scope.py", line 194, in resolve
        raise compu.ops.UndefinedVariableError(key, is_local)
    pandas.core.computation.ops.UndefinedVariableError: name 'data' is not defined
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "common/dataframe.py", line 67, in bigshared.common.dataframe.evalex
      File "impl/expression.py", line 346, in bigexpr.impl.expression.evaluate
      File "impl/expression.py", line 142, in bigexpr.impl.expression.__evaluate_ast
      File "impl/expression.py", line 157, in bigexpr.impl.expression.__evaluate_ast
    AttributeError: 'Attribute' object has no attribute 'id'
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/scope.py", line 181, in resolve
        return self.resolvers[key]
      File "/usr/local/python3/lib/python3.5/collections/__init__.py", line 881, in __getitem__
        return self.__missing__(key)            # support subclasses that define __missing__
      File "/usr/local/python3/lib/python3.5/collections/__init__.py", line 873, in __missing__
        raise KeyError(key)
    KeyError: 'data'
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/scope.py", line 192, in resolve
        return self.temps[key]
    KeyError: 'data'
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "module2/common/moduleinvoker.py", line 208, in biglearning.module2.common.moduleinvoker._invoke_with_cache
      File "module2/common/moduleinvoker.py", line 167, in biglearning.module2.common.moduleinvoker._module_run
      File "module2/modules/filter/v3/__init__.py", line 69, in biglearning.module2.modules.filter.v3.__init__.BigQuantModule.run
      File "common/dataframe.py", line 69, in bigshared.common.dataframe.evalex
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/frame.py", line 2366, in eval
        return _eval(expr, inplace=inplace, **kwargs)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/eval.py", line 290, in eval
        truediv=truediv)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 732, in __init__
        self.terms = self.parse()
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 749, in parse
        return self._visitor.visit(self.expr)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 314, in visit
        return visitor(node, **kwargs)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 320, in visit_Module
        return self.visit(expr, **kwargs)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 314, in visit
        return visitor(node, **kwargs)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 323, in visit_Expr
        return self.visit(node.value, **kwargs)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 314, in visit
        return visitor(node, **kwargs)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 649, in visit_Compare
        return self.visit(binop)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 314, in visit
        return visitor(node, **kwargs)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 418, in visit_BinOp
        op, op_class, left, right = self._maybe_transform_eq_ne(node)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 357, in _maybe_transform_eq_ne
        right = self.visit(node.right, side='right')
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 314, in visit
        return visitor(node, **kwargs)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 540, in visit_Call_35
        res = self.visit_Attribute(node.func)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 522, in visit_Attribute
        resolved = self.visit(value).value
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 314, in visit
        return visitor(node, **kwargs)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 522, in visit_Attribute
        resolved = self.visit(value).value
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 314, in visit
        return visitor(node, **kwargs)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/expr.py", line 432, in visit_Name
        return self.term_type(node.id, self.env, **kwargs)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/ops.py", line 58, in __init__
        self._value = self._resolve_name()
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/ops.py", line 75, in _resolve_name
        res = self.env.resolve(self.local_name, is_local=self.is_local)
      File "/usr/local/python3/lib/python3.5/site-packages/pandas/core/computation/scope.py", line 194, in resolve
        raise compu.ops.UndefinedVariableError(key, is_local)
    pandas.core.computation.ops.UndefinedVariableError: name 'data' is not defined
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/local/python3/lib/python3.5/site-packages/logbook/handlers.py", line 213, in handle
        self.emit(record)
      File "/usr/local/python3/lib/python3.5/site-packages/logbook/handlers.py", line 839, in emit
        self.perform_rollover()
      File "/usr/local/python3/lib/python3.5/site-packages/logbook/handlers.py", line 828, in perform_rollover
        self.stream.close()
    AttributeError: 'NoneType' object has no attribute 'close'
    Logged from file <ipython-input-35-87b101130248>, line 78
    
    ---------------------------------------------------------------------------
    AttributeError                            Traceback (most recent call last)
    AttributeError: 'Attribute' object has no attribute 'id'
    
    During handling of the above exception, another exception occurred:
    
    KeyError                                  Traceback (most recent call last)
    KeyError: 'data'
    
    During handling of the above exception, another exception occurred:
    
    KeyError                                  Traceback (most recent call last)
    KeyError: 'data'
    
    During handling of the above exception, another exception occurred:
    
    UndefinedVariableError                    Traceback (most recent call last)
    UndefinedVariableError: name 'data' is not defined
    
    During handling of the above exception, another exception occurred:
    
    AttributeError                            Traceback (most recent call last)
    AttributeError: 'Attribute' object has no attribute 'id'
    
    During handling of the above exception, another exception occurred:
    
    KeyError                                  Traceback (most recent call last)
    KeyError: 'data'
    
    During handling of the above exception, another exception occurred:
    
    KeyError                                  Traceback (most recent call last)
    KeyError: 'data'
    
    During handling of the above exception, another exception occurred:
    
    UndefinedVariableError                    Traceback (most recent call last)
    <ipython-input-35-87b101130248> in <module>()
         76     input_data=m17.data,
         77     expr='date==data.current_dt.strftime(\'%Y-%m-%d\')',
    ---> 78     output_left_data=False
         79 )
    
    UndefinedVariableError: name 'data' is not defined

    (iQuant) #2

    您好,是可视化界面没有加载出来,建议多刷新几次,本周我们在进行扩容,资源问题正在解决。


    (189) #3

    你们升级时,能否把保存功能设置为自动保存?其他的平台都是边写代码边自动保存,这里总是要手动去点保存,很多时候忘了,加上可视化界面又不稳定,很容易丢失之前写的东西


    (iQuant) #4

    收到您的反馈,您可以先进行手动CTRL+S保存,自动保存功能即将上线哈。